
%% Plot the results of the simulation study
close all
clear all
Color='rkbc';
% Color='kkk';

LineStyle={'--';':';'-.';'-.'};
LineWidth=3;
miny=-0.05;
maxy=0.97;
% Subfolder where results of the simulation study have been stored
WSSimStudy='SimStudyResults';

% If mir=1 and fm=0 it is possible to monitor the Mirkin index
% If mir=0 and fm=0 it is possible to monitor the ARI index
% If fm=1 it is possible to monitor the Fowlkes and Mallows index
fm=0; % Fowlkes and Mallows index
mir=0;
%if tentoten=1 it is possible to add the results referred to the monitoring
%of the simulation study which consider just c=10^10 (unconstrained
%solution)
tentoten=1;
if tentoten ==1
    load([ WSSimStudy '\n150v6nsamp1000k3c8ONLYC10to10.mat'])
    if fm==1
        CLACLArInf=squeeze(mean(ARICLACLAfm,1))';
        MIXMIXrInf=squeeze(mean(ARIMIXMIXfm,1))';
        MIXCLArInf=squeeze(mean(ARIMIXCLAfm,1))';
        
    else
        if mir==1
            CLACLArInf=squeeze(mean(MIRCLACLA,1))';
            MIXMIXrInf=squeeze(mean(MIRMIXMIX,1))';
            MIXCLArInf=squeeze(mean(MIRMIXCLA,1))';
        else
            CLACLArInf=squeeze(mean(ARICLACLA,1))';
            MIXMIXrInf=squeeze(mean(ARIMIXMIX,1))';
            MIXCLArInf=squeeze(mean(ARIMIXCLA,1))';
        end
    end
end

load([ WSSimStudy '\n150v6nsamp1000k3c8.mat'])
if fm==1
    CLACLAr=squeeze(mean(ARICLACLAfm,1))';
    MIXMIXr=squeeze(mean(ARIMIXMIXfm,1))';
    MIXCLAr=squeeze(mean(ARIMIXCLAfm,1))';
    
else
    
    if mir==1
        CLACLAr=squeeze(mean(MIRCLACLA,1))';
        MIXMIXr=squeeze(mean(MIRMIXMIX,1))';
        MIXCLAr=squeeze(mean(MIRMIXCLA,1))';
    else
        CLACLAr=squeeze(mean(ARICLACLA,1))';
        MIXMIXr=squeeze(mean(ARIMIXMIX,1))';
        MIXCLAr=squeeze(mean(ARIMIXCLA,1))';
        
    end
end
prin=0;

subplot(1,3,1)
j=1;
hold('on')
plot(BarOmega',MIXMIXr(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{1},'Color',Color(1));
plot(BarOmega',MIXCLAr(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{2},'Color',Color(2));
plot(BarOmega',CLACLAr(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{3},'Color',Color(3));

% plot(BarOmega',CLACLArNO(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{4},'Color',Color(4));

if tentoten==1
    plot(BarOmega',MIXMIXrInf(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{1},'Color',Color(1),'Marker','s');
    plot(BarOmega',MIXCLArInf(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{2},'Color',Color(2),'Marker','o');
    plot(BarOmega',CLACLArInf(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{3},'Color',Color(3),'Marker','^');
end


ylim([miny maxy])
xlabel('Average overlap')
if fm==1
    ylabel('Fowlkes and Mallows index')
else
    if mir==1
        ylabel('Mirkin index')
    else
        ylabel('ARI index')
    end
end
title('Best solution')
subplot(1,3,2)
j=2;
hold('on')
plot(BarOmega',MIXMIXr(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{1},'Color',Color(1));
plot(BarOmega',MIXCLAr(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{2},'Color',Color(2));
plot(BarOmega',CLACLAr(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{3},'Color',Color(3));

% plot(BarOmega',CLACLArNO(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{4},'Color',Color(4));
if tentoten ==1
    plot(BarOmega',MIXMIXrInf(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{1},'Color',Color(1),'Marker','s');
    plot(BarOmega',MIXCLArInf(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{2},'Color',Color(2),'Marker','o');
    plot(BarOmega',CLACLArInf(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{3},'Color',Color(3),'Marker','^');
    
end

% legend({'MIXMIX', 'MIXCLA', 'CLACLA', ['CLACLA' char(10) '(when c=1e06' char(10) 'is added)']})
% legend({'MIXMIX', 'MIXCLA', 'CLACLA', ['CLACLA' char(10) '(c=1e06' char(10) 'c=1e10)']})
legend({'MIXMIX', 'MIXCLA', 'CLACLA' 'MIXMIX 10^{10}', 'MIXCLA 10^{10}', 'CLACLA 10^{10}'})
ylim([miny maxy])

xlabel('Average overlap')
title('First two solutions')

subplot(1,3,3)
j=3;
hold('on')
plot(BarOmega',MIXMIXr(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{1},'Color',Color(1));
plot(BarOmega',MIXCLAr(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{2},'Color',Color(2));
plot(BarOmega',CLACLAr(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{3},'Color',Color(3));

% plot(BarOmega',CLACLArNO(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{4},'Color',Color(4));
if tentoten==1
    plot(BarOmega',MIXMIXrInf(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{1},'Color',Color(1),'Marker','s');
    plot(BarOmega',MIXCLArInf(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{2},'Color',Color(2),'Marker','o');
    plot(BarOmega',CLACLArInf(:,j) ,'LineWidth',LineWidth,'LineStyle',LineStyle{3},'Color',Color(3),'Marker','^');
end
ylim([miny maxy])
xlabel('Average overlap')
title('First three solutions')

if prin==1
    % print to postscript
    print -depsc comprevV6mar2017fm.eps;
end





