%% Code to reproduce figure 2
clear 
n=150;
v=2;
ktrue=3;

nsimul=1;

BarOmega=0.04;
restrfact=5;
rng(20000);

out=MixSim(ktrue,v,'BarOmega',BarOmega, 'restrfactor',restrfact);
[Y,id]=simdataset(n, out.Pi, out.Mu, out.S);

subplot(1,2,1)
plot(Y(:,1),Y(:,2),'ko','MarkerFaceColor','k')


%  xlim([-0.0011    1.2750])
%  ylim([-0.8539    1.4768])
xlim([0    1.5])   
ylim([-1    1.5])
 % axis equal
set(gca,'FontSize',12)
subplot(1,2,2)

muopt=out.Mu;
sigmaopt=out.S;
k=3;
idx=id;
colors = 'brkmykgbrcmykgbrcmykg';
symb='xos';
% figure
hold('on')
for j=1:k
    idxj=idx==j;
    if sum(idxj)>0
        %                plot(Y(idxj,1),Y(idxj,2),'o','color',colors(j),'DisplayName',num2str(j));
        plot(Y(idxj,1),Y(idxj,2),'o','Marker',symb(j),'color',colors(j),'DisplayName',['Group ' num2str(j)],'MarkerSize',6);
        ellipse(muopt(j,:),sigmaopt(:,:,j),[],colors(j))
    end
end
%         if alpha>0
%             idxj=idx==0;
%             plot(Y(idxj,1),Y(idxj,2),'x','color','k','DisplayName','Trimmed units');
%         end

% axis equal
box('on')
hall = findobj(gca, 'type', 'line');
hellipses = findobj(gca, 'type', 'line','Marker','none');
hpoints = setdiff(hall,hellipses,'sorted');
%         In recent version it is possible to do without get as follows.
%         However for compatibility reasons we use the old way
%         clickableMultiLegend(hpoints,{hpoints.DisplayName})
 clickableMultiLegend(hpoints(1:3),get(hpoints(1:3),'DisplayName'))
xlim([0    1.5])   
ylim([-1    1.5])
prin=0;
% axis equal
xlim([0    1.5])   
ylim([-1    1.5])
set(gca,'FontSize',12)
hpoints(1).DisplayName='Group 1';
hpoints(2).DisplayName='Group 2';
hpoints(3).DisplayName='Group 3';
prin=0;
if prin==1
    % print to postscript
    print -depsc figs\YandDGPv4.eps;
    
end