%% First section: obtain IC for differet value of k and c
restrfact=5;
rng('default') % Reinitialize the random number generator to its startup configuration
rng(20000);
ktrue=3;
% n = number of observations
n=150;
% v= number of dimensions
v=2;
% Imposed average overlap
BarOmega=0.04;

out=MixSim(ktrue,v,'BarOmega',BarOmega, 'restrfactor',restrfact);
% data generation given centroids and cov matrices
[Y,id]=simdataset(n, out.Pi, out.Mu, out.S);

nsamp=20000;

% Computation of information criterion
out=tclustIC(Y,'cleanpool',false,'plots',0,'nsamp',nsamp);
% To reproduce table 2 just type
disp(out.CLACLAtable)

% Just load saved workspace if you want to avoid running routine tclustIC
% load subsets20000
%% second part
cc=out.cc;
% Plot first 3 best solutions using as Information criterion CLACLA
disp('Best 9 solutions using CLACLA')
ThreshRandIndex=0.8;
NumberOfBestSolutions=9;
% [outMIXMIX]=tclustICsol(out,'whichIC','MIXMIX','plots',0,'NumberOfBestSolutions',NumberOfBestSolutions,'ThreshRandIndex',ThreshRandIndex);
[outCLACLA]=tclustICsol(out,'whichIC','CLACLA','plots',0,'NumberOfBestSolutions',NumberOfBestSolutions,'ThreshRandIndex',ThreshRandIndex);
Bestsols=outCLACLA.CLACLAbs;

% To reproduce table 3 just type
disp(outCLACLA.ARICLAtable)

%% Figures 6 (best ranked partitions) and Figure 8 (spurios solutions)
% 4 panels plots with the 4 best spurious or true solutions
typesolution='spurious';
typesolution='true';
close all
ij=0;
FontSize=14;
Typesolution='Solution '; 
seqcc=1:length(cc);
IDXCLA=out.IDXCLA;
for i=1:NumberOfBestSolutions
    if ij==4
        break
    end
    if strcmp(Bestsols{i,5},typesolution)
        ij=ij+1;
        subplot(2,2,ij)
        idxsel=IDXCLA{Bestsols{i,1},seqcc(cc==Bestsols{i,2})};
        gscatter(Y(:,1),Y(:,2),idxsel,'krbmg','o+*xs',7,'off')
        legend hide
        % spmplot(Y,,[],'box');
        detsol=[Typesolution num2str(i)  ': k=' num2str(Bestsols{i,1}) ' c=' num2str(Bestsols{i,2})];
        bestsol=[' Best for c=[' strtrim(num2str(min(Bestsols{i,3}))) '-' num2str(max(Bestsols{i,3})) ']'];
        Bestsolc=[Bestsols{i, 3} Bestsols{i,4}];
        stabsol=[' Stable for c=[' strtrim(num2str(min(Bestsolc))) '-' num2str(max(Bestsolc)) ']'];
        title([detsol bestsol stabsol ' Sol:' Bestsols{i,5}],'FontSize',FontSize)
        title(detsol,'FontSize',FontSize)
        
        text(0.35,0.95,bestsol,'Units','Normalized','FontSize',FontSize)
        text(0.35,0.85,stabsol,'Units','Normalized','FontSize',FontSize)
    end
    
    
end
prin=0;
if strcmp(typesolution,'true')
if prin==1
    print -depsc figs\CLACLAbestsol.eps
end
else
if prin==1
    % print to postscript
    print -depsc figs\CLACLAspurioussol.eps
end
end

%% Figure 7: car-bike plot

h=carbikeplot(outCLACLA)

if prin==1
    % print to postscript
    print -depsc figs\CLACLAcarbike.eps
end